Bug 69990 - Error: could not import gnome.canvas
Error: could not import gnome.canvas
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-httpd (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-27 19:24 EDT by Holger Eilhard
Modified: 2015-03-04 20:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-04 10:04:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Holger Eilhard 2002-07-27 19:24:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Installed the recent redhat-config-rpm without any missing dependency error, 
and got a fatal error when trying to start redhat-config-network.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. try to start redhat-config-network

Actual Results:  [root@fatboy ~/rawhide]# redhat-config-network
Fatal Python error: could not import gnome.canvas
Abgebrochen
[root@fatboy ~/rawhide]# 

Additional info:

Installed:
[root@fatboy ~/rawhide]# rpm -Fvh redhat-config-network-1.1.*
Warnung: redhat-config-network-1.1.7-1.noarch.rpm: Header V3 DSA signature: 
NOKEY, key ID 897da07a
Preparing...                ########################################### [100%]
   1:redhat-config-network  ########################################### [100%]
[root@fatboy ~/rawhide]# rpm -qi redhat-config-network
Name        : redhat-config-network        Relocations: (not relocateable)
Version     : 1.1.10                            Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Mit 24 Jul 2002 
07:28:18 CEST
Install date: Son 28 Jul 2002 01:10:27 CEST      Build Host: 
vegeta.devel.redhat.com
Group       : Applications/System           Source RPM: redhat-config-network-
1.1.10-1.src.rpm
Size        : 3260098                          License: GPL
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.redhat.com/
Summary     : The NEtwork Adminstration Tool for Red Hat Linux
Description :
Netconf is the network configuration tool for Red Hat Linux,
supporting ethernet, ADSL, ISDN and PPP. It can also configure
firewalls and masquerading, and can use profiles.
[root@fatboy ~/rawhide]#

Note: This also applies to other redhat-config-tools (bind, network-druid, 
services)
Comment 1 Trond Eivind Glomsrxd 2002-07-29 10:34:24 EDT
gnome-python2 split off the canvas package, causing this dependency problem.
Fixed in CVS, will close when I build a package.
Comment 2 Trond Eivind Glomsrxd 2002-07-30 20:11:14 EDT
1.1.13-1 has been built.
Comment 3 Matthew Booth 2004-01-24 22:11:57 EST
I got this same problem with the latest RHEL3 when trying to run
redhat-config-httpd. Installing gnome-python2-canvas fixed the problem.
Comment 4 Phil Knirsch 2004-02-04 10:04:23 EST
OK, fixed for sure in CVS now.  :-)

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.